<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-admin.css" type='text/css' />
<link rel="first" href="mailman-admin.html" title='GNU mailman - list Administration Manual' />
<link rel='contents' href='contents.html' title="Contents" />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node17.html" />
<link rel="prev" href="node15.html" />
<link rel="parent" href="node8.html" />
<link rel="next" href="node17.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>2.3 The Language Options Category</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.2 the Passwords Category"
  href="node15.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 the List Configuration"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.4 the Membership Management"
  href="node17.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node15.html">2.2 The Passwords Category</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">2 The List Configuration</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node17.html">2.4 The Membership Management</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h2><a name="SECTION002230000000000000000">
2.3 The Language Options Category</a>
</h2>
Mailman is multilingual and internationalized, meaning you can set up
your list so that members can interact with it in any of a number of
natural languages.  Of course, Mailman won't translate list
postings. :)

<p>
However, if your site administrator has enabled its support, you can
set your list up to support any of about two dozen languages, such as
German, Italian, Japanese, or Spanish.  Your list members can then
choose any of your supported languages as their <em>preferred
language</em> for interacting with the list.  Such things as their member
options page will be displayed in this language.  Each mailing list
also has its own <em>preferred language</em> which is the language the
list supports if no other language context is known.

<p>
These variables control the language settings for your mailing list:

<p>
<dl>
<dt><strong>preferred_language</strong></dt>
<dd>This is the list's preferred language, which is the language that
    the list administrative pages will be displayed in.  Also any
    messages sent to the list owners by Mailman will be sent in this
    language.  This option is presented as a drop-down list containing
    the languages enabled in the <code>available_languages</code> variable.

<p>
</dd>
<dt><strong>available_languages</strong></dt>
<dd>This set of checkboxes contains all the natural languages that
    your site administrator has made available to your mailing lists.
    Select any language that you'd either like your members to be able
    to view the list in, or that you'd like to be able to use in your
    list's <code>preferred_language</code> variable.

<p>
</dd>
<dt><strong>encode_ascii_prefixes</strong></dt>
<dd>If your mailing list's preferred language uses a non-ASCII
    character set and the <code>subject_prefix</code> contains non-ASCII
    characters, the prefix will always be encoded according to the
    relevant standards.  However, if your subject prefix contains only
    ASCII characters, you may want to set this option to <em>Never</em>
    to disable prefix encoding.  This can make the subject headers
    slightly more readable for users with mail readers that don't
    properly handle non-ASCII encodings.

<p>
Note however, that if your mailing list receives both encoded and
    unencoded subject headers, you might want to choose <em>As
    needed</em>.  Using this setting, Mailman will not encode ASCII
    prefixes when the rest of the header contains only ASCII
    characters, but if the original header contains non-ASCII
    characters, it will encode the prefix.  This avoids an ambiguity
    in the standards which could cause some mail readers to display
    extra, or missing spaces between the prefix and the original
    header.
</dd>
</dl>

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.2 the Passwords Category"
  href="node15.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 the List Configuration"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.4 the Membership Management"
  href="node17.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node15.html">2.2 The Passwords Category</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">2 The List Configuration</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node17.html">2.4 The Membership Management</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
